Subject: Re: linux-next: build warnings in Linus' tree

From: Rob Herring <[email-masked]>
Date: Wed, 13 Oct 2021 17:17:25 -0500

On Wed, Oct 13, 2021 at 5:12 PM Anatolij Gustschin <[email-masked]> wrote:
>
> Hi Arnd, Rob,
>
> On Tue, 12 Oct 2021 16:39:56 +0200
> Arnd Bergmann [email-masked] wrote:
> ...
> >Grant Likely was the original maintainer for MPC52xx until 2011,
> >Anatolij Gustschin is still listed as maintainer since then but hasn't
> >been active in it for a while either. Anatolij can probably best judge
> >which of these boards are still in going to be used with future kernels,
> >but I suspect once you start removing bits from 52xx, the newer
> >but less common 512x platform can go away as well.
>
> many of these boards are still used, i.e. o2d*, digsy_mtc, tqm5200.
> I've sent first series to fix some warnings. Other dts fixes
> require driver changes, so it will take some time to fix them.

In general, you shouldn't need to be changing the drivers. Can you
tell me which warnings need driver changes?

Rob